Debian Bug report logs - #365175
[NONFREE-DOC] Package contains IETF RFC/I-D

version graph

Package: erlang-doc-html; Maintainer for erlang-doc-html is (unknown);

Reported by: Simon Josefsson <jas@extundo.com>

Date: Fri, 28 Apr 2006 12:33:20 UTC

Severity: serious

Fixed in version erlang-doc-html/1:10.b.9-1

Done: Erlang Packagers <erlang-pkg-devel@lists.berlios.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francois-Denis Gonthier <neumann@lostwebsite.net>:
Bug#365175; Package erlang-doc-html. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <jas@extundo.com>:
New Bug report received and forwarded. Copy sent to Francois-Denis Gonthier <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Josefsson <jas@extundo.com>
To: submit@bugs.debian.org
Subject: [NONFREE-DOC] Package contains IETF RFC/I-D
Date: Fri, 28 Apr 2006 14:23:07 +0200
Package: erlang-doc-html
Severity: serious

Hi!

It seems your package contains non-free RFC/I-Ds:

usr/share/doc/erlang-doc-html/html/lib/megaco-3.0.1/doc/standard/rfc3015.txt.gz

The license on I-Ds is not DFSG-free, see:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=199810
http://release.debian.org/removing-non-free-documentation

I believe the options are:

1) Remove the file from the package (which may include re-packaging
   the source code).

2) Move the files to a non-free package (which may also include
   re-packaging the source code).

If you disagree with this, because this bug is reported for several
packages at once, it seems better to discuss this on debian-legal, in
this thread:

http://thread.gmane.org/gmane.linux.debian.devel.legal/25993

The severity is serious, because this violates the Debian policy
<http://www.debian.org/doc/debian-policy/ch-archive.html#s-dfsg>.

I'm sorry if this report is filed in error, I went over many packages
looking for suspicious filenames, and there may be false positives.

Thanks,
Simon



Reply sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon Josefsson <jas@extundo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 365175-close@bugs.debian.org (full text, mbox):

From: Erlang Packagers <erlang-pkg-devel@lists.berlios.de>
To: 365175-close@bugs.debian.org
Subject: Bug#365175: fixed in erlang-doc-html 1:10.b.9-1
Date: Mon, 05 Jun 2006 15:17:51 -0700
Source: erlang-doc-html
Source-Version: 1:10.b.9-1

We believe that the bug you reported is fixed in the latest version of
erlang-doc-html, which is due to be installed in the Debian FTP archive:

erlang-doc-html_10.b.9-1.diff.gz
  to pool/main/e/erlang-doc-html/erlang-doc-html_10.b.9-1.diff.gz
erlang-doc-html_10.b.9-1.dsc
  to pool/main/e/erlang-doc-html/erlang-doc-html_10.b.9-1.dsc
erlang-doc-html_10.b.9-1_all.deb
  to pool/main/e/erlang-doc-html/erlang-doc-html_10.b.9-1_all.deb
erlang-doc-html_10.b.9.orig.tar.gz
  to pool/main/e/erlang-doc-html/erlang-doc-html_10.b.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365175@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Erlang Packagers <erlang-pkg-devel@lists.berlios.de> (supplier of updated erlang-doc-html package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 04 Jun 2006 14:26:58 +0400
Source: erlang-doc-html
Binary: erlang-doc-html
Architecture: source all
Version: 1:10.b.9-1
Distribution: unstable
Urgency: low
Maintainer: Erlang Packagers <erlang-pkg-devel@lists.berlios.de>
Changed-By: Erlang Packagers <erlang-pkg-devel@lists.berlios.de>
Description: 
 erlang-doc-html - Erlang HTML pages
Closes: 365175
Changes: 
 erlang-doc-html (1:10.b.9-1) unstable; urgency=low
 .
   * New upstream version.
   * New maintainers: Erlang Packagers.
 .
   [ Francois-Denis Gonthier ]
   * Removed rfc3015.txt and implementors_guide_v6.pdf, which are non-free,
     from upstream tarball (Closes: #365175).
 .
   [ Sergei Golovan ]
   * Corrected dependencies (added conflict with erlang-base and
     erlang-base-hipe of outdated versions).
   * Automated erts version processing.
   * Removed link to docs from /usr/lib/erlang/lib/ directory (erlang
     expects libraries in that directory).
Files: 
 742b04cd81c24a6515755b3c85306c2e 680 doc optional erlang-doc-html_10.b.9-1.dsc
 f438b2b344c36fde8e33113bfcd7515f 4329625 doc optional erlang-doc-html_10.b.9.orig.tar.gz
 af149dabd55eb1b0fd327b3415e5b981 4694 doc optional erlang-doc-html_10.b.9-1.diff.gz
 ea54575d0de875025a0434043564cee6 4367474 doc optional erlang-doc-html_10.b.9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFEhItSfY3dicTPjsMRAhzBAJwN0PGCULhJG/mIXqnYhMzGpPXBEgCfaVIR
tH0nngZyuMBbHIj+DMvI11s=
=Uout
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 14:17:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:29:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.